Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.server.jmx
Class InterceptorLoader

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.mq.server.jmx.InterceptorMBeanSupport
                  org.jboss.mq.server.jmx.InterceptorLoader

All Implemented Interfaces:
  InterceptorLoaderMBean, InterceptorMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class InterceptorLoader
extends InterceptorMBeanSupport
implements InterceptorLoaderMBean

Adapts JBossMQService to deliver JMSServerInvoker.

Version:
  $Revision: 1.6 $
Author:
  Peter Antman

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`InterceptorLoader()`

Method Summary
`JMSServerInterceptor` | `getInterceptor()` Gets the JMSServer attribute of the JBossMQService object, here we wrap the server in the invoker loaded.
`String` | `getInterceptorClass()`
`void` | `setInterceptorClass(String c)`
`protected void` | `startService()`

Methods inherited from class org.jboss.mq.server.jmx.InterceptorMBeanSupport
`getNextInterceptor, setNextInterceptor`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop, stopService`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.mq.server.jmx.InterceptorMBean
`getNextInterceptor, setNextInterceptor`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### InterceptorLoader

    public InterceptorLoader()

Method Detail

### getInterceptor

    public JMSServerInterceptor getInterceptor()

  Gets the JMSServer attribute of the JBossMQService object, here we wrap the server in the invoker loaded.

  Specified by:
    `getInterceptor` in interface `InterceptorMBean`
  Returns:
    The JMSServer value

### setInterceptorClass

    public void setInterceptorClass(String c)
                             throws Exception

  Specified by:
    `setInterceptorClass` in interface `InterceptorLoaderMBean`
  Throws:
    `Exception`

### getInterceptorClass

    public String getInterceptorClass()
                               throws Exception

  Specified by:
    `getInterceptorClass` in interface `InterceptorLoaderMBean`
  Throws:
    `Exception`

### startService

    protected void startService()
                         throws Exception

  Overrides:
    `startService` in class `InterceptorMBeanSupport`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.